Skip to content
Snippets Groups Projects
Commit 25f1d458 authored by Allan Blanchard's avatar Allan Blanchard Committed by Andre Maroneze
Browse files

[Distrib] Use grep instead of rgrep

parent 556e5493
No related branches found
No related tags found
No related merge requests found
......@@ -23,9 +23,9 @@ if ! command -v git-lfs >/dev/null 2>/dev/null; then
exit 99
fi
# rgrep needs to be installed
if ! command -v rgrep --version >/dev/null 2>/dev/null; then
echo "rgrep is required"
# grep needs to be installed
if ! command -v grep --version >/dev/null 2>/dev/null; then
echo "grep is required"
exit 99
fi
......@@ -100,7 +100,7 @@ function look_for_uncommited_changes {
}
function look_for_frama_c_dev {
rgrep -i "frama-c+dev" src &> /dev/null
grep -Iir "frama-c+dev" src &> /dev/null
if [ "$?" == "0" ]; then
echo "### WARNING: Remaining frama-c+dev occurrences in 'src'"
proceed_anyway "Update API, then run the script again"
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment